#include<iostream>
using namespace std;

int main()
{
    ios_base::sync_with_stdio();
    cin.tie(NULL);cout.tie(NULL);
long long n,k;
long long a[100002];
long long kc=0;
long long br=0;
cin>>n>>k;
for(int i=0;i<n;i++)
    cin>>a[i];
if(k==1)
{
    int f=0;
    for(int i=0;i<n;i++)
    {
        for(int j=i;j<n;j++)
            if(a[j]>0)f++;
    }
    cout<<f<<endl;
    return 0;
}
for(int i=0;i<n;i++)
{
    kc=a[i];
    for(int j=i+1;j<n;j++)
    {
        kc=kc|a[j];
        if(a[i]>=k)br++;
        if(kc>=k){br=br+n-j;break;}
    }
}
cout<<br<<endl;
    return 0;
}
